Subject: Re: 'git am' doubt

From: David Aguilar <[email-masked]>
Date: Wed, 23 Sep 2009 16:54:33 -0700

On Wed, Sep 23, 2009 at 07:20:53PM -0300, Thiago Farina wrote:
> Hi,
> 
> I'm trying to apply a patch from the mailing list using 'git am'.
> 
> What I'm doing is:
> 
> - In gmail:
>  - Save original, then I copied the content to a text editor.
> - In text editor:
>  - Remove the first empty line.
>  - Save the file in the same directory where I have the git source.
> - In git directory:
>  - $ git am -s ./filename.mbox
> 
> Of course I'm doing something wrong here, but I don't know what.
> The error is:
> cat: /home/tfarina/git/.git/rebase-apply/next: No such file or directory
> previous rebase directory /home/tfarina/git/.git/rebase-apply still
> exists but mbox given.

Perhaps you tried this previously and 'git am' failed?
In which case, run 'git am --abort'.

Now.. I've _never_ had luck saving patches out of gmail.
But, I've had good luck with its imap interface.
I use mutt, save emails to an mbox file, and use 'git am'
on them.  This has worked great for me.

For sending emails to the list, I use msmtp and a
~/.gitconfig setting:

[sendemail]
        smtpserver = /usr/bin/msmtp

Then it's simply 'git send-email <patch-file>'.

Here's a random page explaining how to use mutt with gmail.
http://shreevatsa.wordpress.com/2007/07/31/using-gmail-with-mutt-the-minimal-way/

I can send you my .muttrc if that helps.

Here's the git wiki page about msmtp, gmail, and
git-send-email:

http://git-scm.org/gitwiki/GitTips#Usingmsmtptosendyourpatches

-- 

	David